Skip to main content
GET
GET webhooks instances
GET all Webhooks registered by the authenticated user.

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer<int32>
default:1

Page number. Defaults to 1. See Pagination for more details.

per_page
integer<int32>
default:50

Number of requested paginated records. Defaults to 50. See Pagination for more details.

sort
string | null

Optional Mongo-style JSON sort clause, e.g., sort={"created_at": true} to sort by created_at (descending)

where
string | null

Optional Mongo-style JSON filter clause, e.g., where={"$uri": {"$eq": "/api/v1/samples/0ee172af60e84f61"}}

Response

200 - application/json

OK

$uri
string
required
read-only
Pattern: ^/api/v1/webhooks/[a-f0-9]{16}$
Example:

"/api/v1/webhooks/0d77065796f8d173"

api_version
string
required
created_at
string<date-time>
required

Timestamp for when the object was created on the One Codex platform, encoded as a RFC 3339 timestamp.

enabled
boolean
required
event_type
string
required
post_url
string
required